Bug 88711 - gui problem with rhn-applet and with up2date
Summary: gui problem with rhn-applet and with up2date
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Daniel Veillard
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-12 08:04 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-14 15:28:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-04-12 08:04:20 UTC
Description of problem: 

the gui version of u2date and rhn-applet-gui do no work

~> up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 993, in ?
    main()
  File "/usr/sbin/up2date", line 772, in main
    from up2date_client import gui
  File "gui.py", line 24, in ?
ImportError: No module named ui

~> rhn-applet-gui
Traceback (most recent call last):
  File "/usr/bin/rhn-applet-gui", line 24, in ?
    import rhn_applet
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 13, in ?
    import gnome.ui
ImportError: No module named ui




Version-Release number of selected component (if applicable): 
RH 9.0
rhn-applet-2.0.9-0.9.0.1
up2date-3.1.23-1


How reproducible:
They always fail

Steps to Reproduce:
1.execute thed command
2.
3.
    
Actual results:
as shown above

Expected results:


Additional info:

Comment 1 Daniel Veillard 2003-04-12 09:40:56 UTC
Seems some of the packages needed by up2date and rhn_applet are either
missing or are corrupted. Please run the 2 following commands and report back
the results:

 rpm -q gnome-python2 libgnomeui libgnome gnome-python2-gtkhtml2 pygtk2 
up2date-gnome

and

rpm -V gnome-python2 libgnomeui libgnome gnome-python2-gtkhtml2 pygtk2 up2date-gnome

Daniel

Comment 2 Need Real Name 2003-04-12 11:49:06 UTC
~> rpm -q gnome-python2 libgnomeui libgnome gnome-python2-gtkhtml2 pygtk2
up2date-gnome
gnome-python2-1.99.14-5
libgnomeui-2.2.0.1-5
libgnome-2.2.0.1-8
gnome-python2-gtkhtml2-1.99.14-5
pygtk2-1.99.14-4
up2date-gnome-3.1.23-1


AND 
~> rpm -V gnome-python2 libgnomeui libgnome gnome-python2-gtkhtml2 pygtk2
up2date-gnome

There is no output from the verify command, i.e., which appears to imply that 
packages are OK.



Comment 3 Daniel Veillard 2003-04-12 12:50:49 UTC
Hum definitely strange, what's happening if you try to load gnome.ui
directly from the python command line like in the following:

paphio:~ -> python
Python 2.2.2 (#1, Feb 24 2003, 19:13:11)
[GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnome.ui
>>>
paphio:~ ->

The package exporting gnome.ui is pygnome (pygnome-1.4.2-3), do you have it,
can you verify it too ? A well as pygnome-libglade ? Maybe the rhn-applet
module is missing a dependancy to pygnome

Daniel


Comment 4 Need Real Name 2003-04-13 08:32:10 UTC
Here the output of using python as suggested:

dftpc9:~> python
Python 2.2.2 (#1, Feb 24 2003, 19:13:11) 
[GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnome.ui
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: No module named ui
>>> 


Regarding the packages: I have the impression that pygnome and   
pygnome-libglade  are replaced by pygtk2-1.99.14-4 and 
pygtk2-libglade-1.99.14-4
I have verified them too and are OK

Comment 5 Daniel Veillard 2003-04-13 10:32:06 UTC
Please install the pygnome module and report, I think this will solve this.

Daniel

Comment 6 Need Real Name 2003-04-13 12:57:08 UTC
IN REDHAT 9.0 THERE ARE NO PACKAGES pygnome-1.4.2-3 and
pygnome-libglade-1.4.2-3: they belong to RedHat 7.3.

I have tried installing such packages anyway (along with pygtk-0.6.9-3 and
pygtk-libglade-0.6.9-3, for consistency) but there is no change!

Comment 7 Need Real Name 2003-04-13 13:25:12 UTC
I just discovered I had an extra directory ( a leftover from the change to
redhat 9):  /usr/lib/python2.2/site-packages/gnome

I deleted it and now everything works. 

Sorry.


Note You need to log in before you can comment on or make changes to this bug.